Ignore:
Timestamp:
Nov 15, 2012, 3:13:11 PM (7 years ago)
Author:
jmr@…
Message:

fix incorrect deactivate hacks, and simplify others by removing compatibility with old base versions

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/perl/p5-http-negotiate/Portfile

    r99585 r99736  
    2828      && [vercmp [lindex $vers 1] 6.0] < 0} {
    2929        ui_warn "Deactivating old, pre-6.x libwww-perl to activate ${name}"
    30         set deactivate_proc registry_deactivate_composite
    31         if {[info commands registry_deactivate_composite] == {}} {
    32             set deactivate_proc registry_deactivate
    33         }
    34         $deactivate_proc p5-libwww-perl "" [list ports_nodepcheck 1]
     30        registry_deactivate_composite p5-libwww-perl "" [list ports_nodepcheck 1]
    3531    }
    3632}
Note: See TracChangeset for help on using the changeset viewer.